export declare class Card {
    el: HTMLIfxCardElement;
    noBtns: boolean;
    readonly direction: "horizontal" | "vertical";
    alignment: string;
    noImg: boolean;
    readonly href: string;
    internalHref: string;
    readonly target: string;
    readonly ariaLabel: string | null;
    setImgPosition(event: any): void;
    private handleComponentAdjustment;
    componentWillLoad(): void;
    componentDidLoad(): Promise<void>;
    componentWillUpdate(): void;
    render(): any;
}
